Want to protect your cyber security and still get fast solutions? Ask a secure question today.Go Premium

x
  • Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 811
  • Last Modified:

Warning - object must be upgraded to the current exchange version

When I attempt to edit a contact.

We've still got Exchange 2007 - shortly to be decommissioned. Should I ensure all objects are upgraded before decom? Is there any way/advantage to doing this in bulk?
0
paulfoel
Asked:
paulfoel
  • 2
  • 2
2 Solutions
 
Mikhail SartaevSystem architectCommented:
You can upgrade all Groups:
Get-DistributionGroup | Set-DistributionGroup -ForceUpgrade

Open in new window

And contacts:
Get-MailContact -resultsize Unlimited | Set-MailContact -CustomAttribute1 Update
  Get-MailContact -resultsize Unlimited | Set-MailContact -CustomAttribute1 $null

Open in new window

0
 
paulfoelAuthor Commented:
What are implications of NOT upgrading? Will I get issues when I get rid of 2007 servers?
0
 
AmitIT ArchitectCommented:
You won't be able to modify the object. Upgrade its part of migration step. So , gohead and upgrade them, before you decom 2007.
0
 
Mikhail SartaevSystem architectCommented:
no, everything will be ok after decomissioning.
you will see only warnings.
0
 
paulfoelAuthor Commented:
At the moment, we're just ok whenever we encounter one. As longa as we can continue to do this....
0

Featured Post

Has Powershell sent you back into the Stone Age?

If managing Active Directory using Windows Powershell® is making you feel like you stepped back in time, you are not alone.  For nearly 20 years, AD admins around the world have used one tool for day-to-day AD management: Hyena. Discover why.

  • 2
  • 2
Tackle projects and never again get stuck behind a technical roadblock.
Join Now